* 9.2 build 937 (Jul 3, 2018)

- added: Lithuanian translation (Zygi Mantus)
- added: Bulgarian translation (Zhivko Kabaivanov, Dimo Dimo)
- fixed: Improved High DPI support (thanks to Yaroslav Kihtan for testing)
- updated: 3rd-party libs

* 9.1 build 936 (May 7, 2017)

- fixed: Polish translation (Przemyslaw P. Socha)

* 9.1 build 935 (May 7, 2017)

- updated: Italian translation (Roberto Boriotti)
- updated: Polish translation (Przemyslaw P. Socha)
- added: Multi-language installer (more than 20 languages have been added)

* 9.1 build 934 (May 1, 2017)

- added: Arabic translation (MFM Dawdeh)
- updated: Japanese translation (Kazunori Ikezawa)
- updated: Indonesian translation (Muhammad Ridwan Hakim)

* 9.1 build 933 (April 5, 2017)

- updated: Turkish translation (Fenok)
- updated: Brazilian Portuguese translation (Igor Ruckert)
- fixed: migrated to the secure https

* 9.1 build 932 (January 16, 2017)

- added: Czech translation (thanks to Jiri Vagner)
- updated: Croatian translation (Tomislav Gotic)
- added: display RapidEE version number in the installer

* 9.1 build 931 (November 12, 2016)

- updated: Swedish translation (thanks to Ake Engelbrektson)
- updated: Chinese translation (thanks to Chonghua He)
- fixed: command line key -R is case-insensitive now (thanks to Duncan Grant)
- fixed: RapidEE fails on paste via RDP (thanks to Igor Varfolomeev)
- fixed: Copy/Paste always inserts variable as String

* 9.0 build 930 (March 27, 2016)

- updated: 3rd-party libraries
- added: Ctrl+Q hotkey (thanks to Doğan Çelik)
- updated: Ukrainian translation (thanks to Васильчук В.)
- fixed: RapidEE fails if rapidee.ini file can't written (thanks to
  Thibaud Taudin Chabot)
- fixed: RapidEE fails on paste under some conditions (thanks to
  Thomas Jensen)

* 8.0 build 929 (May 11, 2015)

- fixed: Ukrainian translation (thanks to Васильчук В.)

* 8.0 build 928 (May 7, 2015)

- added: Ukrainian translation (thanks to Васильчук В.)

* 8.0 build 927 (March 23, 2015)

- fixed: French translation (thanks to Gaël)

* 8.0 build 926 (February 15, 2015)

- fixed: re-fixed cursor missing bug

* 8.0 build 925 (February 10, 2015)

- updated: 3rd party libs
- fixed: cursor missing in edit field if the system has non-standard DPI
  (thanks to Richard Opsal for bug reporting)

* 8.0 build 924 (October 28, 2014)

- added: Abkhazian translation (thanks to Andrey Abuhba)
- updated: 3rd party libs

* 8.0 build 923 (August 22, 2014)

- fixed: auto-complete feature was broken due to regression in the
  3rd party library.

* 8.0 build 922 (August 11, 2014)

- fixed: "Invalid image size" exception (happens on some Win7 systems
  during RapidEE startup)
- updated: 3rd party libs

* 8.0 build 920 (June 13, 2014)

- updated: Italian translation (Giacomo Margarito)

* 8.0 build 919 (April 23, 2014)

- updated: Dutch translation (Huib Klink)
- updated: 3rd party libs

* 8.0 build 918 (April 21, 2014)

- added: Turkish translation (Mehmet Akif Taşova)

* 8.0 build 917 (April 17, 2014)

- updated: Dutch translation (Huib Klink)

* 8.0 build 916 (March 2, 2014)

- updated: Korean translation (thanks to Changwoo Nam)
- fixed: couple of small memory leaks
- updated: 3rd party libs

* 8.0 build 915 (January 24, 2014)

- updated: Finnish translation (thanks to Veikko Muurikainen)

* 8.0 build 914 (January 3, 2014)

- added: Hungarian translation (thanks to Bluestar)

* 8.0 build 913 (January 3, 2014)

- added: Romanian translation (thanks to Bogdan Balasa)

* 8.0 build 912 (December 1, 2013)

- added: Indonesian translation (thanks to M. Ridwan Hakim)

* 8.0 build 911 (November 28, 2013)

- fixed: updated Japanese translation (thanks to Kazunori Ikezawa)

* 8.0 build 910 (November 28, 2013)

- fixed: prefer external *.mo over embedded translation (this allows
  translators to check localization on-the-fly)

* 8.0 build 909 (November 21, 2013)

- added: Norwegian translation (Ivan Nedrehagen)

* 8.0 build 908 (November 15, 2013)

- fixed: incorrect handling of '/' character in the content assist
  (thanks to Sylvain Bougnoux)
- added: supported Ctrl-A hotkey in the edit fields
- updated: 3rd party libs

* 8.0 build 907 (October 18, 2013)

- added: 'Restart as administrator' has been added as
  'File' menu item (Thanks to Igal Tabachnik for the idea)

* 8.0 build 906 (October 2, 2013)

- fixed: animation disabling option doesn't work when
  restarting RapidEE (Thanks to Simon for pointing to
  this issue)

* 8.0 build 905 (September 18, 2013)

- updated: 3rd party libs
- fixed: extra checkboxes in the 'Options' dialog

* 8.0 build 904 (July 19, 2013)

HOW TO UPGRADE FROM 7.x:
TO AVOID PROBLEMS UNINSTALL 7.x VERSION MANUALLY AND THEN
INSTALL 8.x! SEE DETAILS BELOW.

- updated: German translation (Gerd Kohel)

* 8.0 build 903 (July 16, 2013)

- updated: French translation (kinarky)
- updated: Italian translation (Giacomo Margarito)
- added: Tested on Windows 8

* 8.0 build 902 (July 2, 2013)

- fixed: RapidEE x64 hangs on save
- fixed: show full build number (including x64) in the About dialog

* 8.0 build 901 (July 2, 2013)

- fixed: regression in 900 build (32-bit version only)
- updated: 3rd party components

* 8.0 build 900 (July 1, 2013)

- changed: moved from NSIS installer to Inno Setup (command
  line parameters of the installer have been changed as well!)
- added: x64 support
- updated: 3rd party components
- fixed: sometimes RapidEE handles command line parameters incorrectly

* 7.2 build 866 (June 13, 2013)

- updated: Brazilian Portuguese translation (Igor Ruckert)

* 7.2 build 865 (June 13, 2013)

- updated: Chinese translation (Ji Liu)

* 7.2 build 864 (June 13, 2013)

- updated: Spanish translation (Francisco Manuel Alvarado Santos)

* 7.2 build 863 (June 12, 2013)

- updated: Swedish translation (Ake Engelbrektson)
- fixed: RapidEE throws AV if read-only variables are hidden and there
  are no visible variables (thanks to Sybren A. Stuvel for bug report).
- updated: 3rd party components


* 7.2 build 862 (June 10, 2013)

- added: options to enable/disable tree animation

* 7.2 build 861 (June 4, 2013)

- fixed: regression added in build 856 (it causes issues on 'checking for
  updates' step)
- updated: Greek translation (George Malamas)
- fixed: typos (George Malamas)

* 7.2 build 860 (May 23, 2013)

- fixed: RapidEE doesn't restore window position if left=0 or top=0

* 7.2 build 858 (May 20, 2013)

- updated: Korean translation (Changwoo Nam)

* 7.2 build 857 (May 15, 2013)

- fixed: Sometimes auto-update fails because the installer detects existing
  RapidEE instance which has not beed finished yet. Added 'Retry' button into
  the warning dialog.

* 7.2 build 856 (May 13, 2013)

- fixed: RapidEE fails if update server is not available.

* 7.2 build 854 (April 18, 2013)

- added: support silent mode installation
- updated: Spanish translation (Francisco Manuel Alvarado Santos)


* 7.2 build 853 (April 6, 2013)

- updated: Brazilian Portuguese translation (Igor Ruckert)

* 7.2 build 852 (April 5, 2013)

- fixed: RapidEE throws AV if one open Content Assist and press Alt-F4
  (thanks Tom for your bug report!)

* 7.2 build 851 (April 2, 2013)

- updated: Chinese translation (Ji Liu)
- updated: Swedish translation (Ake Engelbrektson)

* 7.2 build 850 (April 1, 2013)

- changed: updated 3rd party components
- added: show errors/warnings in the tooltip
- added: show errors/warnings in the Inspector
- added: check that variable length doesn't exceed length limit (2047 characters)

* 7.1 build 845 (February 2, 2013)

- changed: updated 3rd party components
- fixed: found and fixed the annoying AV error, which is regression
  introduced in build 815. Many thanks to all of you who sent bug
  reports and special thanks to David Ledbetter who helped me to reproduce
  this issue.

* 7.1 build 841 (January 25, 2013)

- fixed: show warning about unsaved changes on 'restart as
  administrator'
- added: madExcept. Some users reports about Access violation errors
  which can't be reproduced on my side, so I've added madExcept
  component to send bug report with some tech details.
- changed: disabled UPX compression to avoid antivirus false positive
  problems

* 7.0 build 825 (December 4, 2012)

- fixed: Slovak translation (Peter Kapusta)
- fixed: wrong path, beginning with the space character
  (i.e. ' C:\WrongPath') should be detected (thnx to Peter Kapusta)

* 7.0 build 824 (October 12, 2012)

- fixed: Japanese translation (benok)

* 7.0 build 823 (September 1, 2012)

- fixed: Swedish translation (Ake Engelbrektson)

* 7.0 build 822 (August 31, 2012)

- added: Finnish translation (Veikko Muurikainen)

* 7.0 build 818 (August 19, 2012)

- fixed: backup should export system variables even if the current user
  is not an administrator
- fixed: move selection correctly on delete if read-only vars are hidden
- fixed: 'access violation' error of there are no user or system vars
  (Thanks to Sebastian for pointing to this issue)

* 7.0 build 817 (August 8, 2012)

- added: Brazilian Portuguese translation (Igor Ruckert)

* 7.0 build 816 (August 7, 2012)

- fixed: gray rectangle instead of auto-complete window on Win+D/Win+M

* 7.0 build 815 (July 20, 2012)

- fixed: improved detection of the wrong paths
- fixed: Ctrl-S ignores changes if editing is not completed (Enter
  is not pressed to commit changes)
- added: show F7/F8 hints on value insert
- fixed: delete empty variable and/or value if user press Esc right
  after insertion
- changed: support for Windows 2000 and older has been dropped.

* 6.1 build 812 (April 25, 2012)

- fixed: annoying 'There is no disk in the drive' error message
  if value points to the non-existing removable (thanks to
  Sybren A. Stuvel for pointing to this).

* 6.1 build 811 (April 20, 2012)

- updated: French translation (Scott Casselman)

* 6.1 build 810 (March 31, 2012)

- updated: Chinese translation (Ji Liu)

* 6.1 build 808 (March 29, 2012)

- fixed: Korean translation (Changwoo Nam)
  Dear Changwoo Nam, I can't send u reply on your email (DNS Error:
  Domain name not found), so let me say 'Thank you' here.

* 6.1 build 807 (March 21, 2012)

- added: "Inline substitutions". See "Edit" menu & context menu

* 6.1 build 804 (March 19, 2012)

- updated: hotkeys CtrlShift+ & CtrlShift- to Expand/Collapse All
- fixed: Tab hotkey switches active tree instead of the walk
  through all controls on the form
- fixed: set first visible variable selected by default
- fixed: keep 'Show read-only variables' flag on Refresh/Switch user

* 6.1 build 794 (January 7, 2012)

- fixed: Korean translation (Changwoo Nam)

* 6.1 build 793 (December 9, 2011)

- updated: Slovak translations (Peter Kapusta)

* 6.1 build 792 (November 8, 2011)

- updated: German translation (Brick Vanderhoven)

* 6.1 build 791 (November 4, 2011)

- updated: Croatian translation (Tomislav Gotic)
- fixed: Variables Exclude List is not refreshing if one clicks "Edit"
  and changes options
- fixed: "Split variable" option changes don't apply to the system
  variables until restart
- fixed: OK button flickers on mouse over & out action (About dialog)

* 6.1 build 790 (November 4, 2011)

- updated: Polish translation

* 6.1 build 789 (October 25, 2011)

- updated: Dutch translation (Tony Leenen)

* 6.1 build 788 (October 24, 2011)

- updated: Chinese translation (Ji Liu)

* 6.1 build 787 (October 22, 2011)

- fixed: set focus to the User Variables tree after startup

* 6.1 build 786 (October 13, 2011)

- added: Danish translation (Jesper Toftegaard)

* 6.1 build 785 (September 25, 2011)

- added: shortcut (Ctrl-H) to show/hide read-only variables

* 6.0 build 782 (September 23, 2011)

- fixed: Korean translation (Changwoo Nam)

* 6.0 build 781 (September 22, 2011)

- fixed: error if element value includes ';' character
- fixed: write variables in alphabetical order (an attempt to workaround
  'nested expansion' bug in Windows - http://support.microsoft.com/kb/911089)

* 6.0 build 779 (September 22, 2011)

- fixed: Chinese translation (Ji Liu)

* 6.0 build 778 (September 21, 2011)

- fixed: Swedish translation (Ake Engelbrektson)

* 6.0 build 777 (September 20, 2011)

- added: Variables exclude list (see 'Options')
- fixed: memory usage optimizations
- changed: icons

* 5.1 build 754 (September 5, 2011)

- fixed: Chinese translation (Ji Liu)

* 5.1 build 753 (September 4, 2011)

- added: Expand/Collapse All icons

* 5.1 build 752 (August 23, 2011)

- fixed: increased size of the auto-completition popup
- fixed: show hints for long items, which are getting beyond the right
  edge of the popup

* 5.1 build 751 (August 16, 2011)

- fixed: Slovak translation (Peter Kapusta)

* 5.1 build 750 (August 13, 2011)

- added: installer supports "for all users" and "for the current user" modes

* 5.0 build 748 (August 6, 2011)

- fixed: copy/paste adds extra characters to the end
- added: "Open Folder" feature allowing to open selected folder in Windows
  Explorer

* 5.0 build 747 (August 3, 2011)

- fixed: broken filename/path validation in the 'User Variables' panel
- added: wildcards support for the filename/path validation
- changed: annoying behavior of the auto-completition popup. Now, by default,
  the first item is not selected making the behavior of pressing Enter more
  predictable

* 5.0 build 745 (July 26, 2011)

- fixed: Chinese translation (Ji Liu)

* 5.0 build 744 (July 26, 2011)

- fixed: typos
- fixed: Swedish translation (Ake Engelbrektson)

* 5.0 build 743 (July 25, 2011)

- added: Croatian translation (Tomislav Gotic)
- added: "Cleanup paths" feature to remove empty values and duplicates
- added: hints into the main menu & context menu
- fixed: use HOMEDRIVE value when checking directory for HOMEPATH (make sense if
  RapidEE has been started from the USB drive or non-system drive)

* 5.0 build 737 (June 13, 2011)

- fixed: show tooltip when the whole text doesn't fit the screen
- fixed: Korean translation (Changwoo Nam)

* 5.0 build 734 (June 3, 2011)

- fixed: Chinese translation (Ji Liu)
- fixed: backup doesn't work if RapidEE is not stared with
  administrative privileges

* 5.0 build 733 (June 1, 2011)

- changed: removed /cd & /usb parameter (as well as corresponding batch files).
  To enable "portable mode" just create empty rapidee.ini file
- added: command line parameters to set, remove & change variables

* 4.0 build 725 (May 22, 2011)

- fixed: Russian translation

* 4.0 build 724 (May 3, 2011)

- fixed: Chinese translation (Ji Liu)

* 4.0 build 723 (May 2, 2011)

- fixed: show error message if registry key is locked

* 4.0 build 720 (April 21, 2011)

- fixed: issue with empty Username combobox

* 4.0 build 719 (April 19, 2011)

- fixed: user names are sorted alphabetically

* 4.0 build 707 (April 3, 2011)

- added: support for domain users
- updated: Japanese translation (Chieri Saito)

* 3.3 build 615 (February 22, 2011)

- added: edit mode on double-click

* 3.3 build 614 (February 16, 2011)

- fixed: French translation (Gratien Falcoz)

* 3.3 build 613 (February 13, 2011)

- updated: small fixes & optimizations

* 3.3 build 612 (February 3, 2011)

- added: Korean translation (Changwoo Nam)

* 3.3 build 611 (January 30, 2011)

- fixed: typos, small optimizations

* 3.3 build 610 (January 10, 2011)

- fixed: Swedish translation (Ake Engelbrektson)

* 3.3 build 609 (January 9, 2011)

- fixed: memory usage optimization

* 3.3 build 608 (December 8, 2010)

- fixed: Chinese translation (Ji Liu)

* 3.3 build 607 (December 2, 2010)

- fixed: restore position should respect taskbar placed on the left
  side of the screen
- fixed: support recursion in the expandable variables

* 3.3 build 606 (November 30, 2010)

- fixed: sometimes auto-completition popup was not closing

* 3.3 build 605 (November 15, 2010)

- added: uninstall icon & version number in the Control Panel
- added: check for updates shows detailed changes
- fixed: 'Refresh' doesn't not work if user has no administrator rights
- changed: do not hide 'Users' combo if user has no administrator rights, just
  disable it

* 3.3 build 602 (November 11, 2010)

- fixed: %ProgramFiles% -> %ProgramFiles(x86)% conversion issue on 64-bit OS

* 3.3 build 601 (November 4, 2010)

- fixed: Chinese translation (Ji Liu)

* 3.3 build 600 (October 17, 2010)

- fixed: UAC issue with autoupdate

* 3.3 build 591 (October 16, 2010)

- added: icons into the auto-complete menu
- fixed: crash on exist if auto-complete menu is opened
- fixed: read-only variables are supported in all modern OSes including x64

* 3.3 build 582 (October 6, 2010)

- fixed: restored missed translations

* 3.3 build 581 (October 5, 2010)

- fixed: removed reference to the FastMM_FullDebugMode.dll

* 3.3 build 580 (October 4, 2010)

- fixed: hotkeys (F6, F7, etc) should be available in the Edit mode
- added: auto-complete path/filename feature (Ctrl-Space)
- added: esc after 'insert value' removes an empty value
- fixed: drawing artefacts when one press esc in the 'edit variable name' mode
- fixed: wrong icons in the tree
- added: 'restart as administrator' button
- fixed: auto-complete list contains dups if variable exists in both the
  system and user list.

* 3.2 build 565 (August 19, 2010)

- fixed: tree scrolling with keyboard doesn't work

* 3.2 build 564 (August 1, 2010)

- fixed: French translation (Jean-Francois Simoneau)

* 3.2 build 563 (April 3, 2010)

- fixed: Swedish translation (Ake Engelbrektson)

* 3.2 build 562 (March 31, 2010)

- added: Swedish translation (Ake Engelbrektson)

* 3.2 build 561 (March 28, 2010)

- fixed: updated Japanese translation (Yuki Kodama)

* 3.2 build 560 (March 13, 2010)

- fixed: updated Chinese translation (Ji Liu)

* 3.2 build 559 (December 8, 2009)

- updated: proxy support for auto-update

* 3.2 build 550 (November 29, 2009)

- updated: Italian translation (Luigi Bava)

* 3.2 build 549 (November 15, 2009)

- updated: French translation (M. Arpon)

* 3.2 build 523 (August 21, 2009)

- fixed: updated Chinese translation (Ji Liu)

* 3.2 build 522 (August 20, 2009)

- fixed: Polish localization (Przemyslaw P. Socha)

* 3.2 build 521 (August 19, 2009)

- added: "Automatically check for updates" feature

* 3.2 build 519 (July 26, 2009)

- fixed: memory leaks, typos

* 3.2 build 518 (May 11, 2009)

- added: Dutch localization (Hendrik de Goede)

* 3.2 build 517 (May 1, 2009)

- fixed: updated French translation (Daniel U. Thibault)

* 3.2 build 516 (April 9, 2009)

- fixed: updated Chinese translation (Ji Liu)

* 3.2 build 515 (March 20, 2009)

- fixed: updated Italian translation (Luigi Bava)

* 3.2 build 514 (March 19, 2009)

- fixed: updated Latvian translation (Andris Veics)

* 3.2 build 513 (February 24, 2009)

- fixed: updated French translation (Daniel U. Thibault)
- fixed: updated strategy for validating paths in variables

* 3.2 build 512 (February 2, 2009)

- fixed: broken auto-completition feature (on percent sign
  or Ctrl-Space)

* 3.2 build 511 (February 1, 2009)

- fixed: Polish localization (Przemyslaw P. Socha)
- fixed: added check for existing variable in the "Add variable"
  dialog
- fixed: set focus correctly in the "Search" dialog
- fixed: refresh variable value after "Insert directory path"

* 3.2 build 508 (January 17, 2009)

- fixed: avoid double confirmation on user switch
- added: number of hotkeys
- added: skins into the dialogs
- fixed: disable toolbar buttons if the are no active user tree
- fixed: added check for empty variable name in the "Add variable"
  dialog

* 3.2 build 497 (January 2, 2009)

- added: auto-update feature in the "Check for updates"
  dialog

* 3.1 build 492 (December 27, 2008)

- added: OS version checking in the instaler
- fixed: copy variable value to the system clipboard (Ctrl-C)

* 3.1 build 485 (December 14, 2008)

- added: Chinese translation (Adlina Baozhu)

* 3.1 build 484 (December 13, 2008)

- fixed: another icon for uninstaller
- fixed: updated Japanese translation (thanks to Hisateru Tanaka,
  Kazunori Ikezawa)

* 3.1 build 480 (December 7, 2008)

- added: Spanish translation (J.Franco)
- fixed: first user switching doesn't work
- fixed: set focus on variable tree after startup
- added: mark logged in user in the list
- fixed: combo-box size is enough to fit the data
  without scrolling

* 3.0 build 471 (December 3, 2008)

- added: Greek translation (Dimitris Gios)
- fixed: Polish translation (Przemyslaw P. Socha)
- changed: updated skin engine
- changed: 3.x doesn't support Windows 9x

* 2.1 build 447 (November 12, 2008)

- added: Find feature
- added: Slovak translation (Peter Kapusta)
- fixed: Refresh caused exception if current user is a domain user
- fixed: German translation (Roland Muhlberger)

* 2.0 build 427 (September 7, 2008)

- added: Latvian translation (thanks to Andris Veics)

* 2.0 build 424 (July 29, 2008)

- added: Refresh variables and values (F5)

* 2.0 build 423 (July 15, 2008)

- added: Italian translation (thanks to Damiano Battaglia)

* 2.0 build 420 (June 13, 2008)

- fixed: updated French translation (thanks to Daniel U. Thibault)
- added: checking for the empty name of the new variable (thanks to
  Daniel for the bug report)

* 2.0 build 410 (May 28, 2008)

- added: German translation (thanks to Christian Gopfert)

* 2.0 build 409 (May 6, 2008)

- added: Polish translation (thanks to Przemyslaw P. Socha)

* 2.0 build 408 (May 3, 2008)

- added: inspector shows Long and Short (8.3) pathnames
- added: odd and even rows in inspector have a different
  background colors

* 2.0 build 407 (May 3, 2008)

- changed: auto-completition feature works now for expandable
  variables only
- fixed: mouse didn't work in auto-completition popup
- fixed: access violation error on drag'n'drop

* 2.0 build 402 (Apr 28, 2008)

- fixed: restored main icon

* 2.0 build 401 (Apr 26, 2008)

- added: ability to convert long path to the 8.3 format and vice versa
- added: Inspector pane showing information about variable and values
- changed: icons have been polished a bit
- added: Ctrl-Ins and Shift-Ins shortcuts in the tree

* 1.9 build 379 (Mar 23, 2008)

- added: auto-completition feature (on % or Ctrl-Space)
- fixed: window position on multimonitor configuration
- changed: hotkey to delete variable/element (Del instead
  of Ctrl-Del)
- added: history of the latest version in the
  'Check for updates' dialog

* 1.9 build 357 (Mar 10, 2008)

- added: French translation (thanks to Jean-Max Buzzi)
- fixed: icon of the "Saving..." indicator

* 1.9 build 355 (Mar 6, 2008)

- added: Japanese translation (thanks to Nardog)
- fixed: translation of the 'System variables (read-only)' caption

* 1.9 build 353 (Mar 4, 2008)

- added: switch users combo-box (not supported on Win9x)
- added: show/hide toolbars
- fixed: Ctrl+C/Ctrl+V work inside editor
- fixed: localization issues

* 1.8 build 319 (Jan 24, 2008)

- fixed: Esc issue in the "Insert file path" window
- added: Ability to localize user interface
- added: Russian localization

* 1.7 build 309 (Jan 19, 2008)

- fixed: RapidEE supports two command line parameters: /cd and /usb.
  /cd allows to READ program settings from the .ini file.
  /usb allows to READ and WRITE program settings from/to the .ini

* 1.7 build 306 (Jan 15, 2008)

- fixed: special read-only variables should not be saved
  to the registry
- fixed: fixed undo issue after first edit

* 1.7 build 305 (Jan 14, 2008)

- added: special read-only variables (USERPROFILE, etc)

* 1.6 build 275 (Jan 6, 2008)

- added: hints for variable elements (useful for "Expandable string")
- added: copy/paste
- added: drag'n'drop variables between trees

* 1.6 build 252 (Dec 25, 2007)

- added: drag'n'drop between variable trees
- fixed: support quoted values. "C:\;D:\" is a single value now
- added: variable name can't be empty
- fixed: edited value has not been checked for incorrect path
- added: "Insert file path..."
- added: "Saving..." indicator
- changed: "portable mode" icon

* 1.5 build 182 (Nov 9, 2007)

- added: command line parameter /portable. With this parameter
  RapidEE doesn't save configuration to the registry.
- added: PortableRapidEE.bat to run RapidEE in "portable mode"

* 1.5 build 181 (Oct 23, 2007)

- added: restore window size and position on startup to its last state

* 1.5 build 179 (Sep 27, 2007)

- fixed: variable didn't refresh after "Edit as path"

* 1.5 build 178 (Sep 21, 2007)

- fixed incorrect sorting of variables & values

* 1.5 build 177 (Sep 21, 2007)

- added icons for variables containing errors

* 1.5 build 168 (Sep 20, 2007)

- added skins
- added icons to the toolbar
- fixed taskbar issues for Windows 9x

* 1.4 build 138 (Sep 10, 2007)

- memory usage optimization
- reduced program size
- visual notification about "read only" only mode:
  background and message
- rearranged menu items (Edit and View)
- added visual indicator to the "Check for Update" window
- interface enhancements

* 1.4 build 124 (Sep 7, 2007)

- "expandable variables" could be checked as well as
  "string variables" for path correctness. They will
  be expanded before checking.

* 1.3 build 120 (Aug 24, 2007)

- fixed "Add New Variable" window, it can't be resized now
- added installer/uninstaller

* 1.3 build 119 (Aug 20, 2007)

- fixed memory leaks and small bugs

* 1.3 build 113 (Aug 20, 2007)

- added alphabetical sorting of variables
- added datetime stamp into the backup filename
- if user has no write access to the system variables then
  RapidEE uses read-only mode
- improved look and feel for Windows XP
- "Legend" could be hidden

* 1.2 build 102 (Aug 16, 2007)

- added drag'n'drop feature
- search of the existing variable is not case sensitive now
- added ability to rename variable (Edit/F2)

* 1.1 build 97 (Aug 12, 2007)
- added "Check for Updates..." into the Help menu
- added confirmation dialogs for Delete and Exit
- changed hotkey for Delete (Ctrl-Del)

* 1.0 build 90 (Jul 26, 2007)
- Added "Move up" and "Move down" features
- Added tree icons for the "String" and "Expandable" variables
- Fixed some interface bugs

* 1.0 build 76
- Added checking for invalid files in variables
- Added "Backup" feature

* 1.0 build 71
- Added checking for invalid path in variables
